/*	Mises en Forme par défaut				*/

/*	Version : 1.13							*/
/*	A propos : Guillaume Moynard - 02/2022	*/
/*	Version 1.2 : Ajout Valeurs défauts Couleurs CVR (idem Pastural) */
/*	Version 1.3 : Espagnolette */
/*	Version 1.4 : Mise en forme des profils et cadres avec texte_seul */
/*	Version 1.5 : Mise en forme des Quincailleries d'espagnolette et serrures 3 points */
/*	Version 1.6 : Si Symbole Manoeuvre CVR inconnu alors on affiche son code */
/*	Version 1.7 : Mise en forme correcte des cadres avec libellés qd génération svg depuis php */
/*	Version 1.8 : Objets Poignée */
/*	Version 1.09 : Tirage Direct */
/*	Modif. : Guillaume Moynard - 03/23 - 1.10 - MenCoupe et Maçonnerie */
/*	Modif. : Guillaume Moynard - 10/23 - 1.11 - Poignées Cuvettes */
/*	Modif. : Guillaume Moynard - 10/23 - 1.12 - Priorisation Filigrane */
/*	Modif. : Guillaume Moynard - 12/23 - 1.13 - Amélioration Couleurs Remplissages */

/* Titre du Dessin */
.SI_dessin_titre {
	font-size: large;
	font-weight: bold;
	color: #5555ff;
	padding-left:20px;
}

/* Sous-Titre du Dessin */
.SI_dessin_soustitre {
	font-weight: bold;
	color: #5555ff;
	padding-left:50px;
}

text.texte_erreur {
	text-anchor:middle;
	font-size:x-large;
	fill: #ff0000;
}

/* Profondeur du Calque de Dessin, Couleur de fond du Dessin et positionnement du dessin affiché dans la zone de traçage */
svg.SI_dessin {
	z-index:-1;
	background-color:#eeeeee;
}
g.SI_dessin {
	
}

/* Représentation des Zones */
rect.SI_zone {
	fill:#ffdddd;
	stroke-width:0;
	stroke:#ffffff;
}
rect.SI_zone.zone_invisible {
	fill:none;
	stroke:none;
}

/* Représentation de la Zone Racine : zone_dessin */
rect.SI_zone_racine {
	fill:#ffffff;
	stroke-width:1;
	stroke:#000000;
}

/* Représentation des Sous-Zones */
rect.SI_zone_sousZone {
	fill:#f5f5ff;
	stroke-width:1;
	stroke:#aaaaff;
}
text.SI_zone_libelle {
	color:#00ee00;
	font-size:x-small;
}
rect.zone_transparente  {
	fill:none;
	stroke-width:0;
}

/* Formes défaut */
rect.SI_rect{
	fill:none;
	stroke-width:1;
	stroke:#000000;
}
text.SI_rect {
	text-anchor:middle;
}
text.SI_rect_HG, text.SI_rect_G, text.SI_rect_BG {
	text-anchor:start;
}
text.SI_rect_HD, text.SI_rect_D, text.SI_rect_BD {
	text-anchor:end;
}

rect.SI_rect_texte {
	fill:none;
	stroke-width:0;
}
text.SI_texte {
	text-anchor:start;
	dominant-baseline: central;
}
text.SI_texte.texte_centre {
	text-anchor:middle;
	dominant-baseline: central;
}
ellipse.SI_ellipse {
	fill:none;
	stroke-width:1;
	stroke:#000000;
}
text.SI_ellipse {
	text-anchor:middle;
}
line.SI_trait {
	fill:none;
	stroke-width:1;
	stroke:#000000;
}
text.SI_trait {
	text-anchor:middle;
}
polygon.SI_polygone {
	stroke-width:5;
	stroke:#000000;
	fill:#cccccc;
}

/* Patterns */
pattern.SI_pattern {
	fill:#333333;
}


/* Profils */
text.SI_prof {
	text-anchor:middle;
}
/* par défaut les profils sont en pvc blanc */
stop.SI_prof_ext {
	stop-color:#AAAAAA;
}
stop.SI_prof_int {
	stop-color:#EEEEEE;
}
/* Remplissage */
/* par défaut un remplissage est un vitrage */
rect.SI_remplissage.remplissage_vitrage, path.SI_remplissage.remplissage_vitrage, ellipse.SI_remplissage.remplissage_vitrage {
	fill:#00A0FF;
	opacity:0.8;
}
.SI_remplissage_sombre, .SI_remplissage_clair {
	display:none;
}
.SI_remplissage_sombre.remplissage_vitrage, .SI_remplissage_clair.remplissage_vitrage {
	display:initial;
}

text.SI_texte_ouvrant_libelle , text.SI_remplissage {
	text-anchor:middle;
}

/* Image */
rect.SI_image {
	fill:none;
}
text.SI_image {
	text-anchor:middle;
}

/* Fleche */
line.SI_fleche {
	stroke-width:1;
	stroke:#000000;
}
text.SI_fleche {
	text-anchor:middle;
}
text.SI_fleche_deb_start {
	text-anchor:middle;
}
text.SI_fleche_deb_end {
	text-anchor:end;
}
text.SI_fleche_fin_start {
	text-anchor:start;
}
text.SI_fleche_fin_end {
	text-anchor:end;
}
text.SI_fleche_fleche {
	text-anchor:start;
}

text.SI_texte_cotation {
	dominant-baseline: auto;
}


/* Représentation du Cadre */
text.SI_cadre {
	text-anchor:middle;
}
path.SI_cadre_MG {
	stroke-width:1;
	stroke:#aaaaff;
}
path.SI_cadre_MD {
	stroke-width:1;
	stroke:#aaaaff;
}
path.SI_cadre_TB {
	stroke-width:1;
	stroke:#aaaaff;
}
path.SI_cadre_TH {
	stroke-width:1;
	stroke:#aaaaff;
}

/* Seuil */
line.SI_seuil {
	fill:none;
	stroke-width:2;
	stroke:#000000;
	margin-bottom:50px;
}
text.SI_seuil {
	text-anchor:middle;
}

/* Représentation des sens d'ouverture */
/* vantail Principal */
path.SI_sens_ouv {
	fill:none;
	stroke-width:1;
	stroke-dasharray: 5, 2;
	stroke:#222222;
}
/* vantail Secondaire */
path.SI_sens_ouv_2Vtx_G_D, path.SI_sens_ouv_2Vtx_D_G,
path.SI_sens_ouv_2Vtx_OBG_D, path.SI_sens_ouv_2Vtx_OBD_G {
	stroke-dasharray: 5, 10;
}
text.SI_sens_ouv {
	text-anchor:middle;
}
text.SI_sens_ouv_hautpoignee_G, text.SI_sens_ouv_hautpoignee_OBG, text.SI_sens_ouv_hautpoignee_CG {
	text-anchor:end;
	font-size:small;
}
text.SI_sens_ouv_hautpoignee_D, text.SI_sens_ouv_hautpoignee_OBD, text.SI_sens_ouv_hautpoignee_CD, text.SI_sens_ouv_CGD {
	text-anchor:start;
	font-size:small;
}
text.SI_sens_ouv_hautpoignee_H, text.SI_sens_ouv_hautpoignee_B {
	text-anchor:middle;
	font-size:small;
}
ellipse.SI_poignee, rect.SI_poignee {
	fill:#aaaaaa;
	stroke:none;
}
rect.SI_poignee_cuvette {
	fill:#888888;
}
ellipse.SI_poignee_cuvette, rect.SI_poignee_cuvette {
	opacity:0.8;
	stroke:#555555 !important;
	stroke-width: 0.5px;
}
rect.SI_poignee_verrou, path.SI_poignee_verrou {
	fill:#555555;
	stroke:#555555;
}
path.SI_antipanique_barre {
	fill:#ff0000;
	stroke:none;
}
path.SI_antipanique_articulation {
	fill:#aaaaaa;
	stroke:none;
}
rect.SI_espagnolette, path.SI_espagnolette, circle.SI_espagnolette {
	fill:#101010;
	stroke:none;
}
rect.SI_serrure {
	fill:#202020;
	stroke:none;
}
path.SI_serrure {
	fill:#cccccc;
	stroke:#000000;
}
ellipse.SI_serrure_3P_axe {
	fill:#cccccc;
	stroke:none;
}	

/* PPVC - Petits Carreaux */
g.petitsCarreaux .SI_prof {
	stroke-width:0;
}
g.petitsCarreaux .SI_prof_cadreRapporte  {
	stroke-width:1px;
}

text.SI_PetitsCarreauxCotationPos_G {
	text-anchor:end;
}
text.SI_PetitsCarreauxCotationPos_D {
	text-anchor:start;
}

/* Objets Menuiserie Divers */
path.SI_men_symbole, rect.SI_men_symbole {
	fill:none;
	stroke:black;
	stroke-width:2px;
	stroke-linecap:round;
}

/* par défaut les CVR sont en pvc blanc */
stop.SI_cvr_bas, stop.SI_cvr_lame_bas {
	stop-color:#aaaaaa;
}
stop.SI_cvr_haut, stop.SI_cvr_lame_haut {
	stop-color:#eeeeee;
}
rect.SI_cvr_qr_p, rect.SI_cvr_pc_p {
	fill:#dddddd;
}

text.SI_cvr {
	text-anchor:middle;
	font-size:x-large;
}
text.SI_cvr_lib_G {
	text-anchor:end;
	font-size:medium;
}
text.SI_cvr_lib_D {
	text-anchor:start;
	font-size:medium;
}
text.SI_cvr_lib_tablier {
	text-anchor:middle;
	font-size:medium;
}
path.SI_cvr_symbole_radio, path.SI_cvr_symbole_manu,
path.SI_cvr_symbole_sangle,line.SI_cvr_symbole_sangle,circle.SI_cvr_symbole_sangle,
path.SI_cvr_symbole_sens, line.SI_cvr_symbole_sens {
	fill:none;
	stroke:black;
	stroke-width:6px;
	stroke-linecap:round;
}
path.SI_cvr_symbole_tirage_direct,line.SI_cvr_symbole_tirage_direct {
	fill:none;
	stroke:black;
	stroke-width:6px;
	stroke-linecap:round;
}
line.SI_cvr_symbole_tirage_direct_lame {
	stroke-width:1px;
}
path.SI_cvr_symbole_bouton {
	fill:none;
	stroke:black;
	stroke-width:6px;
	stroke-linecap:round;
}
line.cvr_symbole_solaire,circle.SI_cvr_symbole_solaire {
	fill:black;
	stroke:black;
	stroke-width:6px;
	stroke-linecap:round;
}
rect.SI_cvr_butee, ellipse.SI_cvr_butee {
	stroke:black;
	fill:#000000;
}
text.SI_cvr_man_G, text.SI_cvr_man_D {
	text-anchor:middle;
}

/* Valeur Défaut pour la Bibliothèque Coulissants et Galandages */
rect.SI_rect_galandage {
	fill:#888888;
	stroke:none;
}
line.SI_rail {
	fill:none;
	stroke-width:2;
	stroke:#000000;
}

/* SAV */
path.prof_savMasque, rect.prof_savMasque,
path.remplissage_savMasque, rect.remplissage_savMasque,
rect.cvr_savMasque, rect.cvr_tablier_savMasque {
    stroke-width:1;
    stroke:#dddddd;
    stroke-dasharray:0;
    fill:none;
}

path.SI_prof.sav, rect.SI_prof.sav,
path.sav, rect.sav {
    stroke-width:2;
    stroke:#ff0000;
}

/* Valeur Défaut pour la vue de Profil / Coupe */
text.SI_maconnerie, text.SI_menCoupe {
	text-anchor:middle;
	dominant-baseline: central;
}
polygon.SI_maconnerie, path.SI_maconnerie {
	fill:#888888;
	stroke-width:0.2px;
	stroke:#000000;
}
rect.SI_maconnerie_isolation {
	stroke-width:0.2px;
	stroke:#000000;
}
path.SI_maconnerie_isolation {
    stroke-width:0.5px;
    stroke:#000000;
	fill:none;
}
rect.SI_maconnerie_isolation_arrierePlan {
	stroke:none;
	fill:none;
}
rect.SI_maconnerie_placo {
	stroke-width:0.2px;
	stroke:#444444;
	fill:#444444;
}
path.SI_maconnerie_mur {
    stroke-width:0;
	fill:#AAAAAA;
}
rect.SI_maconnerie_sol {
	stroke:none;
	fill:#a4795f;
}
rect.SI_maconnerie_allege, rect.SI_maconnerie_linteau {
	stroke:none;
	fill:#555555;
}
polygon.SI_menCoupe, path.SI_menCoupe {
	fill:#AAAAAA;
	stroke-width:0.1px;
	stroke:#000000;
}
polygon.SI_menCoupe_reno {
	fill:#A76726;
	stroke-width:0.1px;
	stroke:#000000;
}
rect.SI_menCoupe_ouverture {
	stroke:none;
	fill:#00DDCC;
	opacity:0.8;
}
rect.SI_vitrage_coupe_verre {
	stroke:none;
	fill:#00DDCC;
}
rect.SI_vitrage_coupe_lameAir {
	stroke:none;
	fill:#ccffff;
}
rect.SI_vitrage_coupe_intercal {
	stroke:none;
	fill:#cccccc;
}
text.SI_vitrage_coupe {
	text-anchor:middle;
	font-size:medium;
}

/* Valeur Défaut pour les Volets */
stop.SI_tablier_lame_G {
	stop-color:#aaaaaa;
}
stop.SI_tablier_lame_D {
	stop-color:#eeeeee;
}
text.SI_volets_lib, text.SI_volets_lib_tablier {
	text-anchor:middle;
	font-size:medium;
}
text.SI_volets_lib_penture {
	text-anchor:middle;
	font-size:medium;
	fill:#aaaaaa;
}

/* Valeur Défaut pour les Cuisines (plan de travail) */
text.SI_planTravail_libelle, text.SI_cuisine_piece_libelle {
	text-anchor:middle;
	font-size:medium;
}
path.SI_planTravail.SI_planTravail_champ {
	fill:transparent;
}
path.SI_planTravail:not(.planTravail_texture):not(.SI_planTravail_champ).planTravail_{
	fill:#dddddd;
}
rect.SI_planTravail_compose_sol, rect.SI_cuisine_piece_sol {
	fill:none;
}

/* Pour représenter le SAV ou illustrer les développement par exemple */
path.prof_filigrane, path.remplissage_filigrane, line.trait_filigrane,  rect.prof_filigrane, ellipse.remplissage_filigrane {
	stroke-width:1 !important;
	stroke:#FF0000 !important;
	stroke-dasharray:0 !important;
	/*fill:none !important;*/
	opacity:0.5 !important;
}
path.remplissage_filigrane_clair, path.remplissage_filigrane_sombre,
rect.remplissage_filigrane_clair, rect.remplissage_filigrane_sombre,
ellipse.remplissage_filigrane_clair, ellipse.remplissage_filigrane_sombre {
	opacity:0 !important;
}

/* Pour représenter les cotations sans ombre par exemple */
/* (les 2 lignes sont nécessaires pour que cela fonctionne à la fois en XML/xsl et en SVG ; je n'ai pas compris pourquoi) */
path.texte_seul, line.texte_seul, rect.texte_seul, ellipse.texte_seul, stop.texte_seul,
path.texte_seul.texte_seul, line.texte_seul.texte_seul, rect.texte_seul.texte_seul, ellipse.texte_seul.texte_seul, stop.texte_seul.texte_seul {
	stroke:none;
	fill:none;
}

path.remplissage_texte_seul_clair, path.remplissage_texte_seul_sombre,
rect.remplissage_texte_seul_clair, rect.remplissage_texte_seul_sombre,
ellipse.remplissage_texte_seul_clair, ellipse.remplissage_texte_seul_sombre {
	opacity:0;
}